--- a/src/turtle_lexer.h	2011-07-23 17:17:24.000000000 -0700
+++ b/src/turtle_lexer.h	2011-07-23 17:18:14.000000000 -0700
@@ -58,6 +58,7 @@
 typedef unsigned char flex_uint8_t; 
 typedef unsigned short int flex_uint16_t;
 typedef unsigned int flex_uint32_t;
+#endif /* ! C99 */
 
 /* Limits of integral types. */
 #ifndef INT8_MIN
@@ -88,8 +89,6 @@
 #define UINT32_MAX             (4294967295U)
 #endif
 
-#endif /* ! C99 */
-
 #endif /* ! FLEXINT_H */
 
 #ifdef __cplusplus
@@ -132,15 +131,7 @@
 
 /* Size of default input buffer. */
 #ifndef YY_BUF_SIZE
-#ifdef __ia64__
-/* On IA-64, the buffer size is 16k, not 8k.
- * Moreover, YY_BUF_SIZE is 2*YY_READ_BUF_SIZE in the general case.
- * Ditto for the __ia64__ case accordingly.
- */
-#define YY_BUF_SIZE 32768
-#else
 #define YY_BUF_SIZE 16384
-#endif /* __ia64__ */
 #endif
 
 #ifndef YY_TYPEDEF_YY_BUFFER_STATE
@@ -274,6 +265,10 @@
 
 void turtle_lexer_set_lineno (int line_number ,yyscan_t yyscanner );
 
+int turtle_lexer_get_column  (yyscan_t yyscanner );
+
+void turtle_lexer_set_column (int column_no ,yyscan_t yyscanner );
+
 /* Macros after this point can all be overridden by user definitions in
  * section 1.
  */
@@ -300,12 +295,7 @@
 
 /* Amount of stuff to slurp up with each read. */
 #ifndef YY_READ_BUF_SIZE
-#ifdef __ia64__
-/* On IA-64, the buffer size is 16k, not 8k */
-#define YY_READ_BUF_SIZE 16384
-#else
 #define YY_READ_BUF_SIZE 8192
-#endif /* __ia64__ */
 #endif
 
 /* Number of entries by which start-condition stack grows. */
@@ -341,6 +331,6 @@
 #line 439 "./turtle_lexer.l"
 
 
-#line 345 "turtle_lexer.h"
+#line 335 "turtle_lexer.h"
 #undef turtle_lexer_IN_HEADER
 #endif /* turtle_lexer_HEADER_H */
